org.jboss.netty.channel.group

## Interface ChannelGroupFutureListener

All Superinterfaces:
  EventListener

    public interface ChannelGroupFutureListener
    extends EventListener

Listens to the result of a `ChannelGroupFuture`. The result of the asynchronous `ChannelGroup` I/O operations is notified once this listener is added by calling `ChannelGroupFuture.addListener(ChannelGroupFutureListener)` and all I/O operations are complete.

### Method Summary

Methods
`void` `operationComplete(ChannelGroupFuture future)` Invoked when all I/O operations associated with the `ChannelGroupFuture` have been completed.

### Method Detail

#### operationComplete

    void operationComplete(ChannelGroupFuture future)
                           throws Exception

Invoked when all I/O operations associated with the `ChannelGroupFuture` have been completed.

Parameters:
  `future` - The source `ChannelGroupFuture` which called this callback.
Throws:
  `Exception`